# H245_MediaTransportType Class Reference

`#include <h245.h>`

List of all members.

## Public Types

enum | Choices { e_ip_UDP, e_ip_TCP, e_atm_AAL5_UNIDIR, e_atm_AAL5_BIDIR, e_atm_AAL5_compressed }

## Public Member Functions

| H245_MediaTransportType (unsigned tag=0, TagClass tagClass=UniversalTagClass)
| operator H245_MediaTransportType_atm_AAL5_compressed & ()
| operator const H245_MediaTransportType_atm_AAL5_compressed & () const
PBoolean | CreateObject ()
PObject * | Clone () const

## Member Enumeration Documentation

enum H245_MediaTransportType::Choices

Enumerator:

  e_ip_UDP |
  e_ip_TCP |
  e_atm_AAL5_UNIDIR |
  e_atm_AAL5_BIDIR |
  e_atm_AAL5_compressed |

## Constructor & Destructor Documentation

H245_MediaTransportType::H245_MediaTransportType | ( | unsigned | tag = `0`,
|  | TagClass | tagClass = `UniversalTagClass` |
| ) |  |  |

## Member Function Documentation

H245_MediaTransportType::operator H245_MediaTransportType_atm_AAL5_compressed & | ( |  | ) |

H245_MediaTransportType::operator const H245_MediaTransportType_atm_AAL5_compressed & | ( |  | ) | const

PBoolean H245_MediaTransportType::CreateObject | ( |  | ) |

PObject* H245_MediaTransportType::Clone | ( |  | ) | const

The documentation for this class was generated from the following file:

- h245.h